"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const context_1 = __importDefault(require("../../context"));
const error_1 = require("../error");
const useTargeting = () => {
    const engine = react_1.useContext(context_1.default);
    const setTargeting = react_1.useCallback((targeting) => {
        try {
            if (engine) {
                engine.setTargeting(targeting);
            }
            else if (process.env.NODE_ENV !== 'production') {
                console.error(error_1.providerError('useTargeting'));
            }
        }
        catch (_a) { }
    }, [engine]);
    return setTargeting;
};
exports.default = useTargeting;
//# sourceMappingURL=index.js.map